<template>
  <div class="page">
    <div class="home section">
      <div class="home-about">
        <div class="home-title">
          <h1>
            ТАҲСИЛОТИ МУТТАСИЛИ <br />
            <span> МУТАХАССИСОНИ ТИБ </span>
          </h1>
          <p>
            Мо <b> бузургтарин </b> платформаи таълимӣ дар Тоҷикистон ҳастем,
            <br />
            <span>
              ки барои рушд ва такмили донишу малакаҳои мутахассисони тибби
              оилавӣ мусоидат менамояд.
            </span>
          </p>

          <nuxt-link to="/profile/registration" class="curve-btn">
            <div><i class="bx bx-plus"></i> &nbsp; Аъзо шудан</div>
          </nuxt-link>
        </div>
        <div class="home-about__img">
          <img src="/doctor2.png" alt="" />
        </div>
      </div>

      <div class="home-whois">
        <span class="home-whois__title">Ин ба шумо чи медиҳад?</span>
        <div class="home-whois__list">
          <div class="home-whois__item">
            <div class="home-whois__item-img">
              <img src="/whois_item_1.png" class="home-whois__item-img--icon" />
              <img
                src="/whois_item_1_back.png"
                class="home-whois__item-img--back"
              />
            </div>
            <div>
              <b>Чорабиниҳои аккредитатсияшуда (вебинарҳо, конфронсҳо)</b> дар
              системаи ТМТ
            </div>
          </div>
          <div class="home-whois__item">
            <div class="home-whois__item-img">
              <img src="/whois_item_2.png" class="home-whois__item-img--icon" />
              <img
                src="/whois_item_2_back.png"
                class="home-whois__item-img--back"
                style="left: -8px"
              />
            </div>
            <div>
              <b> Имконияти таҳияи мундариҷаи иттилоотии сомона дар портал </b>
              ва мубодилаи таҷриба бо ҳамкасбон
            </div>
          </div>
          <div class="home-whois__item">
            <div class="home-whois__item-img">
              <img src="/whois_item_3.png" class="home-whois__item-img--icon" />
              <img
                src="/whois_item_3_back.png"
                class="home-whois__item-img--back"
                style="left: -8px"
              />
            </div>
            <div>
              <b>Бузургтарин манбаи иттилоотӣ ва таълимӣ </b> барои кормандони
              тиб
            </div>
          </div>
        </div>
        <div class="home-whois__content">
          <div class="home-whois__content-img">
            <img src="/whois.png" alt="" />
          </div>
          <span>
            Мо платформаи таҳсилоти муттаасили тиббиро барои мутахассисон бо
            маълумотҳои мубрами муосир баҳри ҳар як иштирокчӣ фароҳам меорем.
          </span>
        </div>
      </div>

      <div class="home-goals">
        <span class="home-goals__title">Вазифаҳои системавӣ</span>
        <div class="home-goals__list">
          <div class="home-goals__item">
            Татбиқи барномаҳои
            <b>таҳсилоти муттасили тиббӣ барои мутахассисони тибби оилавӣ </b>
          </div>
          <div class="home-goals__item">
            <b> Ташаккули салоҳияти касбии мутахассисон </b> тавассути омӯзиши
            таҷрибаи беҳтарини дохил ва хориҷи кишвар
          </div>
          <div class="home-goals__item">
            <b>Рушди салоҳиятҳои идоракунии </b> мутахассисони соҳаи тиб
          </div>
          <div class="home-goals__item">
            <b>Муайян кардан ва пахн кардани тачрибаи пешкадам </b>дар
            Точикистон
          </div>
          <div class="home-goals__item">
            <b> Таъсиси майдони ягонаи иттилоотӣ </b> барои хатмкунандагон,
            мутахассисон ва омӯзгорон
          </div>
          <div class="home-goals__item">
            Сохтани <b> ҳудуди рушди инфиродии касбӣ </b>
          </div>
          <div class="home-goals__item">
            Фароҳам овардани имкониятҳо барои <b> худтакмилдиҳӣ </b>
          </div>
          <div class="home-goals__item">
            <b> Ташкили платформаи коммуникатсионӣ </b> барои муҳокимаи
            масъалаҳо
          </div>
        </div>
        <div class="home-goals__footer">
          <nuxt-link to="/profile/registration" class="curve-btn">
            <div><i class="bx bx-plus"></i> &nbsp; Аъзо шудан</div>
          </nuxt-link>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  mounted() {
    // console.log(this.$auth.user);
  },
};
</script>

<style lang="scss" scoped>
.home {
  // background: #f5f7fa
  background: #f5f7fa
    url(https://storage.yandexcloud.net/nmoms/static/img/site-bg-2.png) center -25px
    repeat-y;
  position: relative;
  z-index: 1;

  &-about {
    display: flex;
    position: relative;
    height: 100%;
    padding-top: 10%;
  }
  &-about__img {
    flex: 1;
    position: absolute;
    right: 2%;
    z-index: -1;
    top: 15%;
    width: 25%;
    @include less-than(tablet) {
      top: 30%;
      right: -2%;
      width: 68%;
    }
    img {
      width: 93%;
      opacity: 0.7;
    }
  }
  &-title {
    flex: 1.3;
    display: flex;
    flex-direction: column;
    justify-content: center;
    h1 {
      text-transform: uppercase;
      line-height: 1;
      letter-spacing: 0.03em;
      font-size: 56px;
      margin-top: 20px;
      color: #07003a;
      margin-bottom: 60px;
      font-family: "Montserrat-Bold";
      @include less-than(tablet) {
        width: 100%;
        font-size: 22px;
      }
      span {
        font-size: 40px;

        @include less-than(tablet) {
          font-size: 22px;
        }
      }
    }
    p {
      @include less-than(tablet) {
        font-size: 14px;
        width: 50%;
      }
    }

    .curve-btn {
      margin-top: 40px;
      @include less-than(tablet) {
        margin-top: 100px;
        width: 100%;
        div {
          display: flex;
          justify-content: center;
        }
      }
    }
  }

  &-whois {
    margin-top: 140px;
    @include less-than(tablet) {
      margin-top: 40px;
    }
  }
  &-whois__title {
    display: block;
    margin-bottom: 25px;
    line-height: 1.3;
    font-weight: 300;
    font-size: 36px;
    @include less-than(tablet) {
      font-size: 22px;
    }
  }
  &-whois__list {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    text-align: left;
    grid-gap: 40px;
    @include less-than(tablet) {
      grid-template-columns: repeat(1, 1fr);
      grid-gap: 20px;
    }
  }
  &-whois__item {
    position: relative;
    font-size: 16px;
    min-height: 180px;
    padding: 29px 45px;
    background: #fff;
    box-shadow: 20px 30px 46px rgb(0 0 0 / 8%);
    border-radius: 40px;
    transition: all ease 0.3s;
    top: 0;
    z-index: 2;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    &:hover {
      top: -10px;
      .home-whois__item-img--back {
        transform: rotate(-40deg);
      }
    }
    @include less-than(tablet) {
      min-height: fit-content;
      flex-direction: row;
      padding: 20px 30px;
      font-size: 13px;
    }
    b {
      font-family: "Montserrat-Regular";
      font-weight: 700;
    }
  }
  &-whois__item-img {
    position: relative;
    width: 100px;
  }
  &-whois__item-img--icon {
    @include less-than(tablet) {
      margin-top: 10px;
      width: 30px;
    }
  }
  &-whois__item-img--back {
    transition: all ease 0.3s;
    position: absolute;
    left: -24px;
    top: -12px;
    z-index: -1;
    @include less-than(tablet) {
      left: -10px;
      top: 0;
      width: 50px;
    }
  }
  &-whois__content {
    margin-top: 80px;
    display: flex;
    align-items: center;
    @include less-than(tablet) {
      margin-top: 40px;
      flex-direction: column;
      justify-content: center;
      align-items: center;
    }
    * {
      display: block;
    }
    span {
      flex: 1.5;
      margin-bottom: 35px;
      line-height: 1.3;
      font-weight: 300;
      font-size: 36px;
      @include less-than(tablet) {
        margin-top: 20px;
        font-size: 16px;
      }
    }
  }
  &-whois__content-img {
    flex: 1;

    img {
      width: 80%;
      @include less-than(tablet) {
        width: 100%;
      }
    }
  }

  &-goals {
    margin-top: 10%;
  }
  &-goals__title {
    display: block;
    margin-bottom: 25px;
    line-height: 1.3;
    font-weight: 300;
    font-size: 36px;
    @include less-than(tablet) {
      font-size: 22px;
    }
  }
  &-goals__list {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    text-align: left;
    grid-gap: 20px;
    @include less-than(tablet) {
      grid-template-columns: repeat(1, 1fr);
    }
  }
  &-goals__item {
    font-size: 15px;
    line-height: 1.4;
    position: relative;
    min-height: 165px;
    padding: 40px 35px;
    background: #fff;
    box-shadow: 20px 30px 46px rgb(0 0 0 / 8%);
    border-radius: 40px;
    transition: all ease 0.3s;
    top: 0;
    &:hover {
      top: -10px;
    }
    @include less-than(tablet) {
      font-size: 13px;
      padding: 20px 30px;
      min-height: fit-content;
    }
    b {
      font-family: "Montserrat-Regular";
      font-weight: 700;
    }
  }
  &-goals__footer {
    display: flex;
    justify-content: center;
    margin-top: 80px;
    @include less-than(tablet) {
      .curve-btn {
        width: 100%;
        div {
          display: flex;
          justify-content: center;
        }
      }
    }
  }
}
</style>
